/*

Home CSS for fun.cube website.
Publisher: derpy0verl0rd
Created Date: 8/9/23

*/


/* less important shit */

html {
     margin:0;
     padding:0;
     border:0;
}

 @font-face {
     font-family: 'gamecube';
    /*a name to be used later*/
     src: url('../fonts/GameCube.ttf');
    /*URL to font*/
}


* {
     box-sizing: border-box;
}

hr {
  
}

#myVideo {
     position: fixed;
     right: 0;
     bottom: 0;
     min-width: 100%;
     min-height: 100%;
     z-index: -1;
}

body {
     margin: 0;
     font-family:"lucida grande",lucida,tahoma,helvetica,arial,sans-serif!important;
     color: white;
     background-color: black;
}

/* ===== Scrollbar CSS ===== */
  /* Firefox */
  * {
    scrollbar-width: thin;
    scrollbar-color: #8000ff #42005596;
  }

  /* Chrome, Edge, and Safari */
  *::-webkit-scrollbar {
    width: 15px;
  }

  *::-webkit-scrollbar-track {
    background-color: #42005596;
  }

  *::-webkit-scrollbar-thumb {
    background-color: #8000ff;
    border-radius: 30px;
    border: 3px dotted #ffffff;
  }

.notice {
 border: solid 1px;
width: 865px;
padding: 10px;
background-color: #42005596;
border-radius: 15px; 
margin: auto;
  text-align: center;
  font-weight: bold;
  font-size: 30px;
}

.wrapper {
  width: fit-content;
  margin: auto;
  padding: 30px;
}

.footer {
	font-size: 10px;
padding: 10px;
color: #fff;
text-align: center;
}

.purple-swag {
box-shadow: 0px 0px 5px white;
background-color: #42005596;
padding: 15px;
border-radius: 15px;
max-width: fit-content;
margin: 12px auto;
}

.nav {
margin-left: 150px;
margin-top: 20px;
}

.cctrack .ccartist {
  color: #a8a8a8;
  margin-bottom: 4px;
  word-break: break-all !important;
}

.float-right {
width: 890px;
text-align: right;
font-size: 55px;
font-weight: bold;
color: #530053;
font-family: 'gamecube';
-webkit-filter: drop-shadow(6px 5px 2px rgba(104, 0, 255, 0.66));
filter: drop-shadow(6px 5px 2px rgba(104, 0, 255, 0.66));
opacity: 0.6;
}

#guide-btn {
  color: #fff;
  font-size: 15px;
  border-radius: 10px;
  background-color: #5b095e;
  padding: 5px;
  box-shadow: 0px 0px 10px white;
}

.buttons {
	padding: 10px;
}

.cctrack a.ccbuy, .cctrack a.ccbuy:link, .cctrack a.ccbuy:active, .cctrack a.ccbuy:visited, .cctrack a.ccbuy:hover {
  color: #919191;
  text-decoration: none;
  font-weight: 400;
  display: none !important;
}

.not-found {
     width: fit-content;
     margin: auto;
     padding: 20px;
     border: solid 1px white;
     font-family:"lucida grande",lucida,tahoma,helvetica,arial,sans-serif!important;
     background-color: #42005596;
     box-shadow: 0px 0 10px white;
     margin-top: 20px;
     font-size: 45px;
     text-align: center;
}

hr.np-time {
border-top: 10px solid #7200bfb5;
border-radius: 10px;
width: 800px;
}

/* video player and chat */

#video-player {
	
}

#chat {
	
}


/* now playing and time */

.np { 
font-family:"lucida grande",lucida,tahoma,helvetica,arial,sans-serif!important;
}

#time {
font-family:"lucida grande",lucida,tahoma,helvetica,arial,sans-serif!important;
}

.np-time-container {
  font-family: "lucida grande",lucida,tahoma,helvetica,arial,sans-serif !important;
  padding: 8px;
  margin: -10px 0px;
width: 815px;
}

 .blink_me {
     animation: blinker 2s linear infinite;
}
 @keyframes blinker {
     50% {
         opacity: 0;
    }
}

/* blog and sidebar */

.blog {
border: solid 1px;
width: 720px;
padding: 10px;
background-color: #42005596;
border-radius: 15px;
}

.sidebar {
border: solid 1px;
width: 320px;
background-color: #42005596;
border-radius: 15px;
}

/* sidebar shit */

.title {
font-size: 20px;
border-bottom: dotted 1px;
width: 200px;
margin: auto;
text-align: center;
padding: 5px;
}

.sidebar-content {
font-size: 13px;
border-bottom: dotted 1px;
margin: auto;
text-align: left;
padding: 5px;
max-width: 313px;
}

/* link stuff */

a {
     color: white;
}

a:hover {
     text-decoration:none;
     text-shadow: 0px 0px 5px white;
}

a:visited {
     color: white;
     text-decoration: none;
}

a.link {
box-shadow: 0px 0px 5px white;
background-color: #42005596;
  padding: 10px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}
.progress {
 box-shadow: 0px 0px 5px white;
background-color: #42005596;
  padding: 10px;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px; 
width: fit-content;
float: right;
margin: -30px 40px 0px;
}

progress::-moz-progress-bar { background: #65009d; }

progress::-webkit-progress-value { background: #65009d; }

progress { color: #65009d; }